#ifndef __RE_H_
#define __RE_H_

#define FIFO_SIZE1 0x102000 
#define FIFO_SIZE2 0x103000 
#define FIFO_SIZE3 0x101000 
#define FIFO_SIZE4 0x142000 /* 1.0-9742 */
#define FIFO_SIZE5 0x100000 /* 169.XX */
#define FIFO_SIZE_QUADRO2 0x400000 
#define SCRATCH_SIZE  0x100000 
#define REGS_SIZE 0x004000 
#define REGS_SIZE2 0x001000 
#define REGS_SIZE3 0x040000 
#define ALL_REGS_SIZE 0x1000000 

extern void dump_before();
extern void dump_after(int dump_startup);
extern void dumpreg_before();
extern void dumpreg_after();

unsigned int *gpu_ofs_to_agp(unsigned long ofs);
unsigned int  find_dma_src_from_dest(unsigned int to);

void disasm_fp(int addr);

extern unsigned int card_family;
extern unsigned int pci_device_id;
extern unsigned int* all_regs;
extern unsigned int* fb;
extern unsigned int fb_size;
extern int fifo_channel;

extern const char *redbxml_filename;

extern void redirect_output(const char* name);
extern void close_output();

void setup_SDL(int opengl);
void init_card(void);
void close_card(void);

#endif

